<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GSI Certificate Handling Utilities</title>
    <filename>main</filename>
  </compound>
  <compound kind="group">
    <name>globus_gsi_cert_utils_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__cert__utils__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_CERT_UTILS_MODULE</name>
      <anchorfile>group__globus__gsi__cert__utils__activation.html</anchorfile>
      <anchor>ge922895a8432e735050a2cecb83a9064</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_cert_utils</name>
    <title>Cert Utils Functions</title>
    <filename>group__globus__gsi__cert__utils.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cert_utils_get_eec</name>
      <anchorfile>group__globus__gsi__cert__utils.html</anchorfile>
      <anchor>g3656794360c807916d303a637569dbea</anchor>
      <arglist>(STACK_OF(X509)*cert_chain, X509 **eec)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_cert_utils_constants</name>
    <title>Cert Utils Constants</title>
    <filename>group__globus__gsi__cert__utils__constants.html</filename>
    <member kind="typedef">
      <type>enum globus_gsi_cert_utils_cert_type_e</type>
      <name>globus_gsi_cert_utils_cert_type_t</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>g2df3cdbcef54c72ff7fe1279320dbb18</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_gsi_cert_utils_error_t</name>
      <anchor>g6143bce9565a462968d4d6f0fe5ddcec</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_SUCCESS</name>
      <anchor>gg6143bce9565a462968d4d6f0fe5ddcec07e4428361660024c4a435ee868a6e77</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_GETTING_NAME_ENTRY_OF_SUBJECT</name>
      <anchor>gg6143bce9565a462968d4d6f0fe5ddcec58c9daff3dbee88c2c44b302dda53594</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_COPYING_SUBJECT</name>
      <anchor>gg6143bce9565a462968d4d6f0fe5ddcecc2497d7908387d272e4b81f39c8e4905</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_GETTING_CN_ENTRY</name>
      <anchor>gg6143bce9565a462968d4d6f0fe5ddceca1249bd12d355815313d2fbcf72fd057</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_ADDING_CN_TO_SUBJECT</name>
      <anchor>gg6143bce9565a462968d4d6f0fe5ddcec022b3b4d9b287ec676c37e00c44a8c67</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_OUT_OF_MEMORY</name>
      <anchor>gg6143bce9565a462968d4d6f0fe5ddcec4c06afe689b428e0463d2a49d912d58a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_UNEXPECTED_FORMAT</name>
      <anchor>gg6143bce9565a462968d4d6f0fe5ddcecac159a1d167ae8262ca82ac3c1d52596</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_NON_COMPLIANT_PROXY</name>
      <anchor>gg6143bce9565a462968d4d6f0fe5ddcec47b976b713bf71acaa0925790bdcea3d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_DETERMINING_CERT_TYPE</name>
      <anchor>gg6143bce9565a462968d4d6f0fe5ddcec9b8bfc4292a11ad2ef6a331dbb284197</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_LAST</name>
      <anchor>gg6143bce9565a462968d4d6f0fe5ddcec7d9272ba2a8f99c02599cf4f0073195a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_gsi_cert_utils_cert_type_e</name>
      <anchor>g1b60a0c1101dacbd45f1dd792fad6822</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_DEFAULT</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad682207052b059fb8f2b3691e03769f137d11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_EEC</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad6822b1d7b009c001f5f156b80a1c19bed767</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_CA</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad68228fb55014b678416f564e6c40cf578240</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_2</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad682286f6408b427f5e11dffc8e74ae53bfb8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad6822fdb7d541fc8530ec86a04e5517c6ca19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad6822ed176558789e599c6ba137118ce48a9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_FORMAT_MASK</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad6822e8b2a213dab8988ea14751b278dfe575</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_IMPERSONATION_PROXY</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad6822375bf0e6545911a06d2be0dc9903d5f6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_LIMITED_PROXY</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad6822498cabd971ddbc0737281403bc178d82</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RESTRICTED_PROXY</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad6822196c8b297e252e1dbb21c615d6645245</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_INDEPENDENT_PROXY</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad68223c116ef3e3ea5adc7928f189874f8dbb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_PROXY_MASK</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad68220dcd98ced9a2a7ecd528cd1b2154b8ef</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_IMPERSONATION_PROXY</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad68227599368cbac23abdcee7b4b014570a8b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_INDEPENDENT_PROXY</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad682263dc1c16a56ad8de70844593f946a18b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_LIMITED_PROXY</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad6822b472b0e4edc574159c97a7c35b592705</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_RESTRICTED_PROXY</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad6822cc39a5e51e6d1bbd17a2a7d6d35d872e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_2_PROXY</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad68225883a94e0afff520628f0b05d472cf2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_2_LIMITED_PROXY</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad6822759e57a26f9e807cea090886ed002ba3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC_IMPERSONATION_PROXY</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad68228c8fe1f30fb2fecd882b7d1c030dc556</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC_INDEPENDENT_PROXY</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad68228ffdef749b209429b79362008a1ef3ae</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC_LIMITED_PROXY</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad682292f00a14ec7dc54f466ebe81784aff9a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC_RESTRICTED_PROXY</name>
      <anchor>gg1b60a0c1101dacbd45f1dd792fad6822414d2cb889e01813f2375e80cb735b03</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
